public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: dev-ruby/slim/
Date: Sat,  1 Jun 2013 06:55:51 +0000 (UTC)	[thread overview]
Message-ID: <1369979128.7957499caea936350d11bfc6d1bc6fc112f585ca.graaff@gentoo> (raw)

commit:     7957499caea936350d11bfc6d1bc6fc112f585ca
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Fri May 31 05:45:28 2013 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri May 31 05:45:28 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=7957499c

Initial import for brakeman.

Package-Manager: portage-2.1.11.62

---
 dev-ruby/slim/ChangeLog         | 10 ++++++++++
 dev-ruby/slim/Manifest          |  1 +
 dev-ruby/slim/metadata.xml      |  5 +++++
 dev-ruby/slim/slim-2.0.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 4 files changed, 51 insertions(+)

diff --git a/dev-ruby/slim/ChangeLog b/dev-ruby/slim/ChangeLog
new file mode 100644
index 0000000..33ba1e4
--- /dev/null
+++ b/dev-ruby/slim/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-ruby/slim
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*slim-2.0.0 (31 May 2013)
+
+  31 May 2013; Hans de Graaff <graaff@gentoo.org> +slim-2.0.0.ebuild,
+  +metadata.xml:
+  Initial import for brakeman.
+

diff --git a/dev-ruby/slim/Manifest b/dev-ruby/slim/Manifest
new file mode 100644
index 0000000..b32f4f0
--- /dev/null
+++ b/dev-ruby/slim/Manifest
@@ -0,0 +1 @@
+DIST slim-2.0.0.gem 65536 SHA256 7f3915c03fec78974a48db4099afa3a7919666fe66b3b3553f8756ea5db47c61 SHA512 ee330d37d42407bd2f4bb9d2ba2c5101080861cc0f153d6b09c498bf782ab78d5d71e1e1bcbcf965370ce361cb31fc0a9b5ba0689ab892147a00dbe756463386 WHIRLPOOL e9490c6cce286d26d7985e2dd2a3bac9682b93efdc4e0040acc9d684c2a9df93010227d7d61d88a693d412327330a3d887cab05c0538cf3b64ba5c6c5aad3053

diff --git a/dev-ruby/slim/metadata.xml b/dev-ruby/slim/metadata.xml
new file mode 100644
index 0000000..f977299
--- /dev/null
+++ b/dev-ruby/slim/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version = '1.0' encoding = 'UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer><email>graaff@gentoo.org</email></maintainer>
+</pkgmetadata>

diff --git a/dev-ruby/slim/slim-2.0.0.ebuild b/dev-ruby/slim/slim-2.0.0.ebuild
new file mode 100644
index 0000000..abd9757
--- /dev/null
+++ b/dev-ruby/slim/slim-2.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby18 ruby19"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_TASK_DOC="yard"
+
+inherit ruby-fakegem
+
+DESCRIPTION="a template language whose goal is reduce the syntax to the essential parts without becoming cryptic"
+HOMEPAGE="http://slim-lang.com/"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="doc"
+
+ruby_add_rdepend ">=dev-ruby/temple-0.6.5 =dev-ruby/temple-0.6*"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard dev-ruby/redcarpet )"
+
+all_ruby_prepare() {
+	# This sinatra code expects tests to be installed but we strip those.
+	sed -i -e "s/require 'sinatra'/require 'bogussinatra'/" Rakefile || die
+
+	# Avoid tests for things we don't have.
+	sed -i -e '/test_wip_render_with_asciidoc/,/^  end/ s:^:#:' \
+		-e '/test_render_with_wiki/,/^  end/ s:^:#:' \
+		-e '/test_render_with_creole/,/^  end/ s:^:#:' test/core/test_embedded_engines.rb || die
+}


             reply	other threads:[~2013-06-01  6:55 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-06-01  6:55 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-12-13 13:22 [gentoo-commits] dev/graaff:master commit in: dev-ruby/slim/ Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1369979128.7957499caea936350d11bfc6d1bc6fc112f585ca.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox